mob/Login()
	..()

obj
	Turret
		icon = 'Turret.dmi'
		density = 1
		var
			var/obj/Weapon/gun   // What kind of gun-type they fire
			hp   // How much health it has
			rate   // At a how-many-seconds interval it fires at

		Normal_Turret
			gun = /obj/Weapon/MG_Gun
			hp = 50
			rate = 10
		New()
			Turret_Loop()

		proc/Turret_Loop()   // This checks if any mobs are nearby
			while(src)
				for(var/mob/M in range(src, 5))
					var/obj/Weapon/O = new src.gun
					O.dir = src.dir
					O.loc = src.loc
					var/turf/D = M.loc
					while(O)
						step_towards(O, D)
						var/turf/Y = get_step_towards(O, D)
						if(!Y)
							del(O)
						var/turf/X = O.loc
						if(X.density && X.type != /turf/Water)   // Make sure that it isn't water
							del(O)
						for(var/mob/N as mob in X)
							M.Damage(N, O.damage)
							flick(/turf/Overlays/Pain, N)
							spawn(4)
								M.overlays -= /turf/Overlays/Pain
								del(O)
						if(O)
							if(O.loc == D)
								del(O)
						if(O)
							sleep(O.speed)
				sleep(src.rate)